package com.tptj.demo.hg.compose.web.resource.provider;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.report.web.ReportMainComponent;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/8/16
 **/
public class Resource3 extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return ReportMainComponent.KEY;
    }

    @Override
    public Atom[] clients() {
        return new Atom[]{
                new Component(){
                    public ScriptPath script(RequestClient client) {
                        return ScriptPath.build("/com/tptj/demo/hg/compose/web/resource/provider/js/demo3.js");
                    }
                }
        };
    }
}